Bug 384931 - RHEL5 cmirror tracker: unable to create a core log mirror
RHEL5 cmirror tracker: unable to create a core log mirror
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cmirror (Show other bugs)
5.0
All Linux
low Severity low
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 11:21 EST by Corey Marthaler
Modified: 2010-01-11 21:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:26:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2007-11-15 11:21:49 EST
Description of problem:
[root@taft-02 ~]# lvcreate -m 1 -n corelog --corelog -L 5G taft
  Error locking on node taft-03: device-mapper: reload ioctl failed: Invalid
argument
  Error locking on node taft-02: device-mapper: reload ioctl failed: Invalid
argument
  Error locking on node taft-04: device-mapper: reload ioctl failed: Invalid
argument
  Failed to activate new LV.

device-mapper: dm-log-clustered: Server error while processing request
[DM_CLOG_CTR]: -22
device-mapper: table: 253:5: mirror: Error creating mirror dirty log
device-mapper: ioctl: error adding target to table
Nov 15 10:18:22 taft-02 clogd[6456]: Received constructor request with bad data
Nov 15 10:18:22 taft-02 kernel: device-mapper: dm-log-clustered: Server error
while processing request [DM_CLOG_2
Nov 15 10:18:22 taft-02 kernel: device-mapper: table: 253:5: mirror: Error
creating mirror dirty log
Nov 15 10:18:22 taft-02 kernel: device-mapper: ioctl: error adding target to table
Nov 15 10:18:22 taft-02 [6568]: Monitoring mirror device taft-corelog for events


Version-Release number of selected component (if applicable):
2.6.18-53.el5
cmirror-1.1.0-7

How reproducible:
Everytime
Comment 1 Corey Marthaler 2007-11-15 11:40:06 EST
A second time I tried this (after a reboot) the cmd hung with the storm of
console messages:

[root@taft-02 ~]# lvcreate -m 1 -n corelog --corelog -L 5G taft                
                                                                  [HANG]
[DM_CLOG_GET_RESYNC_WORK] to server: -3
device-mapper: dm-log-clustered: Unable to send cluster log request
[DM_CLOG_GET_SYNC_COUNT] to server: -3
device-mapper: dm-log-clustered: Unable to send cluster log request
[DM_CLOG_IS_REMOTE_RECOVERING] to server: -3
device-mapper: dm-log-clustered: Unable to send cluster log request
[DM_CLOG_GET_RESYNC_WORK] to server: -3
device-mapper: dm-log-clustered: Unable to send cluster log request
[DM_CLOG_GET_SYNC_COUNT] to server: -3
device-mapper: dm-log-clustered: Unable to send cluster log request
[DM_CLOG_IS_REMOTE_RECOVERING] to server: -3
Nov 15 10:38:27 taft-02 kernel: device-mapper: dm-log-clustered: Unable to send
cluster log request [DM_CLOG_GET3
Comment 3 Jonathan Earl Brassow 2008-01-15 17:11:36 EST
For future reference, -3 means "No such process"... meaning the server probably segfaulted in your test.  
This means that you are probably able to grab a core file.

Anyway, I believe I fixed this one while fixing 385001 (and others).
Comment 4 Corey Marthaler 2008-01-21 16:01:58 EST
Fix verified in cmirror-1.1.5-4.el5.
Comment 7 errata-xmlrpc 2009-01-20 16:26:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0158.html

Note You need to log in before you can comment on or make changes to this bug.